Constants (Tomcat API Documentation)
Keywords: org.apache.naming.factory.Constants class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class Constants

    java.lang.Object
      org.apache.naming.factory.Constants

    public final class Constants

extends java.lang.Object

Static constants for this package.

Field Summary
`static java.lang.String` | `DBCP_DATASOURCE_FACTORY`
`static java.lang.String` | `DEFAULT_EJB_FACTORY`
`static java.lang.String` | `DEFAULT_HANDLER_FACTORY`
`static java.lang.String` | `DEFAULT_RESOURCE_ENV_FACTORY`
`static java.lang.String` | `DEFAULT_RESOURCE_FACTORY`
`static java.lang.String` | `DEFAULT_RESOURCE_LINK_FACTORY`
`static java.lang.String` | `DEFAULT_SERVICE_FACTORY`
`static java.lang.String` | `DEFAULT_TRANSACTION_FACTORY`
`static java.lang.String` | `FACTORY`
`static java.lang.String` | `OBJECT_FACTORIES`
`static java.lang.String` | `OPENEJB_EJB_FACTORY`
`static java.lang.String` | `Package`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_FACTORY

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_LINK_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_LINK_FACTORY

See Also:
  Constant Field Values

### DEFAULT_TRANSACTION_FACTORY

    public static final java.lang.String DEFAULT_TRANSACTION_FACTORY

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_ENV_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_ENV_FACTORY

See Also:
  Constant Field Values

### DEFAULT_EJB_FACTORY

    public static final java.lang.String DEFAULT_EJB_FACTORY

See Also:
  Constant Field Values

### DEFAULT_SERVICE_FACTORY

    public static final java.lang.String DEFAULT_SERVICE_FACTORY

See Also:
  Constant Field Values

### DEFAULT_HANDLER_FACTORY

    public static final java.lang.String DEFAULT_HANDLER_FACTORY

See Also:
  Constant Field Values

### DBCP_DATASOURCE_FACTORY

    public static final java.lang.String DBCP_DATASOURCE_FACTORY

See Also:
  Constant Field Values

### OPENEJB_EJB_FACTORY

    public static final java.lang.String OPENEJB_EJB_FACTORY

See Also:
  Constant Field Values

### OBJECT_FACTORIES

    public static final java.lang.String OBJECT_FACTORIES

See Also:
  Constant Field Values

### FACTORY

    public static final java.lang.String FACTORY

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.